Update feed setting check configuration.
curl --request PUT \
--url https://apix.us.amity.co/api/v3/network-settings/feed-setting \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"post": {
"video": {
"allowed": true,
"transcodeConfig": {},
"maxDurationSeconds": 3600.5
}
},
"message": {
"video": {
"allowed": true,
"transcodeConfig": {},
"maxDurationSeconds": 300.5
}
},
"story": {
"video": {
"allowed": true,
"transcodeConfig": {},
"maxDurationSeconds": 45.5
}
}
}
'import requests
url = "https://apix.us.amity.co/api/v3/network-settings/feed-setting"
payload = {
"post": { "video": {
"allowed": True,
"transcodeConfig": {},
"maxDurationSeconds": 3600.5
} },
"message": { "video": {
"allowed": True,
"transcodeConfig": {},
"maxDurationSeconds": 300.5
} },
"story": { "video": {
"allowed": True,
"transcodeConfig": {},
"maxDurationSeconds": 45.5
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
post: {video: {allowed: true, transcodeConfig: {}, maxDurationSeconds: 3600.5}},
message: {video: {allowed: true, transcodeConfig: {}, maxDurationSeconds: 300.5}},
story: {video: {allowed: true, transcodeConfig: {}, maxDurationSeconds: 45.5}}
})
};
fetch('https://apix.us.amity.co/api/v3/network-settings/feed-setting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"feedSettings": [
{
"feedType": "<string>",
"contentSettings": [
{
"contentType": "<string>",
"allowed": true,
"maxDurationSeconds": 123,
"transcodeConfig": {
"maxResolution": "<string>",
"minResolution": "<string>"
}
}
]
}
]
}{
"status": "error",
"code": 400000,
"message": "Bad Request."
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Network Setting
Update feed setting check configuration.
Update feed setting check configuration.
PUT
/
api
/
v3
/
network-settings
/
feed-setting
Update feed setting check configuration.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
information for a network setting
Response
Feed setting check configuration
The content
Show child attributes
Show child attributes
⌘I